package org.xyzh.ai.exception;

/**
 * @description Dify API调用异常
 * @filename DifyException.java
 * @author AI Assistant
 * @copyright xyzh
 * @since 2025-11-04
 */
public class DifyException extends RuntimeException {

    private static final long serialVersionUID = 1L;

    private Integer code;

    public DifyException(String message) {
        super(message);
    }

    public DifyException(Integer code, String message) {
        super(message);
        this.code = code;
    }

    public DifyException(String message, Throwable cause) {
        super(message, cause);
    }

    public DifyException(Integer code, String message, Throwable cause) {
        super(message, cause);
        this.code = code;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }
}

